Bug 26621 - .mailmap adjustments
Summary: .mailmap adjustments
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 26394
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-06 15:56 UTC by Jonathan Druart
Modified: 2020-11-13 15:38 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26621: Adjust .mailmap to reduce the number of invalid authors (22.59 KB, patch)
2020-10-06 15:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26621: Adjust .mailmap to reduce the number of invalid authors (35.83 KB, patch)
2020-10-07 12:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26621: Adjust docs/contributors.yaml accordingly (1.97 KB, patch)
2020-10-07 12:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26621: Adjust .mailmap to reduce the number of invalid authors (35.89 KB, patch)
2020-10-07 13:30 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26621: Adjust docs/contributors.yaml accordingly (2.03 KB, patch)
2020-10-07 13:30 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26621: Adjust .mailmap to reduce the number of invalid authors (35.95 KB, patch)
2020-10-14 23:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26621: Adjust docs/contributors.yaml accordingly (2.09 KB, patch)
2020-10-14 23:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26621: Adjust .mailmap to reduce the number of invalid authors (35.80 KB, patch)
2020-10-15 09:43 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-10-06 15:56:07 UTC
After bug 26394 that picked the local changes from the git stats website, we need to adjust it to reduce the number of invalid authors.

We already did the job (partly) on the release-tools scripts (https://gitlab.com/koha-community/release-tools/-/blob/master/etc/dev_map.yaml).
Comment 1 Jonathan Druart 2020-10-06 15:56:52 UTC
Created attachment 111314 [details] [review]
Bug 26621: Adjust .mailmap to reduce the number of invalid authors

This file is a nightmare, really. We should simplify it and order it correctly.
Letting it here for now, I'd like to run the gitstats command on it to double check the output.
Comment 2 David Cook 2020-10-07 04:36:21 UTC
(In reply to Jonathan Druart from comment #1)
> This file is a nightmare, really. We should simplify it and order it
> correctly.
> Letting it here for now, I'd like to run the gitstats command on it to
> double check the output.

Sounds good to me
Comment 3 Jonathan Druart 2020-10-07 12:21:17 UTC
Created attachment 111326 [details] [review]
Bug 26621: Adjust .mailmap to reduce the number of invalid authors

This file is a nightmare, really. We should simplify it and order it correctly.
Letting it here for now, I'd like to run the gitstats command on it to double check the output.
Comment 4 Jonathan Druart 2020-10-07 12:21:22 UTC
Created attachment 111327 [details] [review]
Bug 26621: Adjust docs/contributors.yaml accordingly
Comment 5 Jonathan Druart 2020-10-07 13:16:56 UTC
With this last patch gitstats generates 427 authors with 2 who are not in the history.txt: "ByWater Solutions Team" and "BibLibre Team".

We have, in history.txt 429th authors, but we are missing 3rd, 4th and 6th devs.
Comment 6 Martin Renvoize 2020-10-07 13:30:36 UTC
Created attachment 111332 [details] [review]
Bug 26621: Adjust .mailmap to reduce the number of invalid authors

This file is a nightmare, really. We should simplify it and order it correctly.
Letting it here for now, I'd like to run the gitstats command on it to double check the output.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2020-10-07 13:30:40 UTC
Created attachment 111333 [details] [review]
Bug 26621: Adjust docs/contributors.yaml accordingly

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Martin Renvoize 2020-10-07 13:32:08 UTC
Checked and confirmed the changes make sense.. nice work!

As for the early developers that were missing, when I discussed this with Chris a while back it was due to the way things were committed in the early days on SVN... I think they shared a commit bit and so things went in under one name/user and the history file reflects his personal knowledge of who joined the team when at that early stage before they split out commit bits.

Signing off.
Comment 9 Katrin Fischer 2020-10-14 23:43:26 UTC
Created attachment 111662 [details] [review]
Bug 26621: Adjust .mailmap to reduce the number of invalid authors

This file is a nightmare, really. We should simplify it and order it correctly.
Letting it here for now, I'd like to run the gitstats command on it to double check the output.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2020-10-14 23:43:32 UTC
Created attachment 111663 [details] [review]
Bug 26621: Adjust docs/contributors.yaml accordingly

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2020-10-14 23:44:02 UTC
The file might still be a bit messy, but this reads as a nice improvement overall. Small steps.
Comment 12 Jonathan Druart 2020-10-15 09:43:09 UTC
Created attachment 111690 [details] [review]
Bug 26621: Adjust .mailmap to reduce the number of invalid authors

This file is a nightmare, really. We should simplify it and order it correctly.
Letting it here for now, I'd like to run the gitstats command on it to double check the output.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

JD: Amended patch: remove dup occurrences for Brendan
Comment 13 Jonathan Druart 2020-10-15 10:55:41 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 14 Lucas Gass 2020-11-13 15:38:50 UTC
enhancement will not be backported to 20.05.x